import { CustomAttributes, ComposerConfig, ComposedComponent, ExtendableElement } from "../types";
/**
 * Create a React component that extends and creates a forwardRef of native HTML element.
 *
 *
 * @template P extends CustomAttributes
 * @template EL extends ExtendableElement
 * @param {EL} el defaults to "div"
 * @param {ComposerConfig<P, EL>} config
 * @param {Partial<P>} [defaults={}]
 * @returns {ComposedComponent<P, EL>}
 *
 * @see {ComposerConfig}
 * @see {ClassDefinition}
 */
export declare function createComponent<P extends CustomAttributes, EL extends ExtendableElement = "div">(el: EL, config: ComposerConfig<P, EL>, defaults?: Partial<P>): ComposedComponent<P, EL>;
