import { ClassComposerReturns, ComposerConfig, ComponentAttributes, ExtendableElement, ComposedComponentProps } from "../types";
/**
 * Hook that parses a set of parameters based on a configuration object and returns applicable classnames
 *
 *
 * @export
 * @template P extends ComponentAttributes
 * @template EL extends ExtendableElement = "div"
 * @param {ComposerConfig<P, EL>} config the configuration object
 * @param {CombinedProps<P, EL>} props the props to parse
 * @returns {ClassComposerReturns<A>} { className, forwardProps }
 */
export declare function useClassComposer<P extends ComponentAttributes, EL extends ExtendableElement = "div">(config: ComposerConfig<P, EL>, props: ComposedComponentProps<P, EL>): ClassComposerReturns<EL>;
